Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_SystemCategory

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_SystemCategory

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieSystemCategory

    public class S_SystemCategory

extends S_TieSystemObject

SystemCategory subclasses can contain their own custom data, which effectively contain data about the SystemObject with which the SystemCategory instance is associated.

A SystemObject can be associated with any SystemCategory, which allows different sets of data to be associated with instances of the same SystemObject subclass.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_SystemCategory(S_LibrarySession session, java.lang.Long classId)` Constructs a S_SystemCategory object.
`protected` | `S_SystemCategory(S_LibrarySession session, S_LibraryObjectData data)` Constructs a S_SystemCategory object - standard variant.

Method Summary
`protected void` | `cascadeFree(OperationState opState, S_LibraryObjectDefinition def)` Performs cascade operations prior to freeing the actual object.
`protected void` | `cascadeFreeToAssociatedObject(OperationState opState)` Notifies the Associated SystemObject of freeing action.
`protected void` | `cascadeUpdate(OperationState opState, S_LibraryObjectDefinition def)` cascade operations to be performed before updating an object.
`protected static S_SystemCategory[]` | `constructSystemCategoryArray(S_LibrarySession sess, java.lang.Long[] ids)` Construct a SystemCategory array from an array of object IDs.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add to the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs validation after to an insert.
`S_SystemObject` | `getAssociatedSystemObject()` Gets the SystemObject associated with this SystemCategory.
`protected void` | `handleCascade(OperationState opState, S_LibraryObject source, int cascadeType, S_LibraryObjectDefinition sdef, java.lang.Object customArg)` Handles a cascaded operation initiated by (usually) another object.

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, createCategories, extendedPostUpdate, extendedPreInsert, extendedPreUpdate, getCategories, getCategories, getCategories, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, extendedPreFree, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_SystemCategory

    protected S_SystemCategory(S_LibrarySession session,
                               S_LibraryObjectData data)
                        throws IfsException

  Constructs a S_SystemCategory object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_SystemCategory

    protected S_SystemCategory(S_LibrarySession session,
                               java.lang.Long classId)
                        throws IfsException

  Constructs a S_SystemCategory object. This variant is used for objects that have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
    `classId` - class id
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getAssociatedSystemObject

    public S_SystemObject getAssociatedSystemObject()
                                             throws IfsException

  Description copied from class: `S_SystemCategory`
  Gets the SystemObject associated with this SystemCategory.

  Returns:
    the SystemObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_SystemCategory`
  Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_SystemObject`
  Parameters:
    `def` - the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### handleCascade

    protected void handleCascade(OperationState opState,
                                 S_LibraryObject source,
                                 int cascadeType,
                                 S_LibraryObjectDefinition sdef,
                                 java.lang.Object customArg)
                          throws IfsException

  Description copied from class: `S_SystemCategory`
  Handles a cascaded operation initiated by (usually) another object. This is overridden by classes to add custom handlers. It is ok if no class handles the cascade (that is implied to mean "no action needed").

  Overrides:
    `handleCascade` in class `S_SystemObject`
  Parameters:
    `opState` - originating operation state
    `source` - object initiating this cascade request (not necessarily the original object)
    `cascadeType` - type of cascade request
    `sdef` - original Definition object
    `customArg` - any custom parameter
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### cascadeFree

    protected void cascadeFree(OperationState opState,
                               S_LibraryObjectDefinition def)
                        throws IfsException

  Description copied from class: `S_SystemCategory`
  Performs cascade operations prior to freeing the actual object. This is overridden by classes that need to perform operations before successfully freeing the rows for the freed instance.

  Overrides:
    `cascadeFree` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `def` - definition object
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### cascadeUpdate

    protected void cascadeUpdate(OperationState opState,
                                 S_LibraryObjectDefinition def)
                          throws IfsException

  Description copied from class: `S_SystemCategory`
  cascade operations to be performed before updating an object. This is overridden by classes that need to perform operations before successfully updating the rows for the freed instance.

  Overrides:
    `cascadeUpdate` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `def` - object definition
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeFreeToAssociatedObject

    protected void cascadeFreeToAssociatedObject(OperationState opState)
                                          throws IfsException

  Description copied from class: `S_SystemCategory`
  Notifies the Associated SystemObject of freeing action.

  Parameters:
    `opState` - current operation state
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_SystemCategory`
  Performs validation after to an insert.

  Overrides:
    `extendedPostInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition of the Property being created
  Throws:
    `IfsException` - (IFS-31600) if no values were specified
  (Published)

### constructSystemCategoryArray

    protected static S_SystemCategory[] constructSystemCategoryArray(S_LibrarySession sess,
                                                                     java.lang.Long[] ids)
                                                              throws IfsException

  Description copied from class: `S_SystemCategory`
  Construct a SystemCategory array from an array of object IDs.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of SystemCategorys
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD